Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.floating.frames
Class RootPaneLayout

    java.lang.Object
      org.flexdock.docking.floating.frames.RootPaneLayout

All Implemented Interfaces:
  LayoutManager, LayoutManager2, Serializable

    public class RootPaneLayout

extends Object
implements LayoutManager2, Serializable

Author:
  Andreas Ernst, Christopher Butler
See Also:
  Serialized Form

Method Summary
`void` | `addLayoutComponent(Component comp, Object constraints)`
`void` | `addLayoutComponent(String name, Component comp)`
`float` | `getLayoutAlignmentX(Container target)`
`float` | `getLayoutAlignmentY(Container target)`
`void` | `invalidateLayout(Container target)`
`void` | `layoutContainer(Container parent)`
`Dimension` | `maximumLayoutSize(Container target)`
`Dimension` | `minimumLayoutSize(Container parent)`
`Dimension` | `preferredLayoutSize(Container parent)`
`void` | `removeLayoutComponent(Component comp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`

### maximumLayoutSize

    public Dimension maximumLayoutSize(Container target)

  Specified by:
    `maximumLayoutSize` in interface `LayoutManager2`

### layoutContainer

    public void layoutContainer(Container parent)

  Specified by:
    `layoutContainer` in interface `LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component comp)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(Component comp)

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`

### addLayoutComponent

    public void addLayoutComponent(Component comp,
                                   Object constraints)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager2`

### getLayoutAlignmentX

    public float getLayoutAlignmentX(Container target)

  Specified by:
    `getLayoutAlignmentX` in interface `LayoutManager2`

### getLayoutAlignmentY

    public float getLayoutAlignmentY(Container target)

  Specified by:
    `getLayoutAlignmentY` in interface `LayoutManager2`

### invalidateLayout

    public void invalidateLayout(Container target)

  Specified by:
    `invalidateLayout` in interface `LayoutManager2`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD